export declare const Breakpoints: {
    readonly xs: "(max-width:575px)";
    readonly sm: "(min-width:576px)";
    readonly md: "(min-width:768px)";
    readonly lg: "(min-width:992px)";
    readonly xl: "(min-width:1200px)";
    readonly xxl: "(min-width:1400px)";
};
export type Breakpoints = typeof Breakpoints;
export declare function createBreakpointInfix(breakpoint?: keyof Breakpoints): string;
