import { AbstractControl } from '@angular/forms';
import { AnyArray, AnyObject } from '@ngify/types';
import { AnySchema } from '../../schemas';
import { SchemaType } from '../../schemas/interfaces';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class FluentFormItemOutletComponent<T extends AnyObject | AnyArray> {
    protected readonly SchemaType: typeof SchemaType;
    control: AbstractControl;
    schema: AnySchema;
    model: T;
    protected readonly helper: {
        label: {
            content: (label: import("../../schemas").WithOutSchemaReactiveFn<import("../../schemas").MaybeSchemaReactiveFn<import("../../schemas").AbstractSchema<import("../../schemas").SchemaKey>, string | import("../../schemas").Label | null> | undefined>) => string | undefined;
            span: (label: import("../../schemas").WithOutSchemaReactiveFn<import("../../schemas").MaybeSchemaReactiveFn<import("../../schemas").AbstractSchema<import("../../schemas").SchemaKey>, string | import("../../schemas").Label | null> | undefined>) => 2 | 1 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 16 | 13 | 14 | 15 | 17 | 18 | 19 | 20 | 21 | 22 | 23 | 24 | null | undefined;
            width: (label: import("../../schemas").WithOutSchemaReactiveFn<import("../../schemas").MaybeSchemaReactiveFn<import("../../schemas").AbstractSchema<import("../../schemas").SchemaKey>, string | import("../../schemas").Label | null> | undefined>) => string | null;
        };
        tooltip: {
            content: (tooltip: import("../../schemas").WithOutSchemaReactiveFn<string | import("../../schemas").Tooltip | undefined>) => string | import("@angular/core").TemplateRef<void> | undefined;
            icon: (tooltip: import("../../schemas").WithOutSchemaReactiveFn<string | import("../../schemas").Tooltip | undefined>) => string | import("ng-zorro-antd/form").NzFormTooltipIcon | null | undefined;
        };
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<FluentFormItemOutletComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FluentFormItemOutletComponent<any>, "fluent-col[schema],[fluentFormItemOutlet]", never, { "control": { "alias": "control"; "required": false; }; "schema": { "alias": "schema"; "required": false; }; "model": { "alias": "model"; "required": false; }; }, {}, never, ["*"], true, never>;
}
