import { RowComponentSchema, SingleSchemaKey, StepComponentSchema, StepsComponentSchema, TabComponentSchema, TabsComponentSchema } from '../schemas';
import { UnstableBuilder } from './compose-builder';
import { KindOrKey } from './helper';
export declare function steps<Key extends SingleSchemaKey>(key?: Key): UnstableBuilder<StepsComponentSchema<Key>, KindOrKey>;
export declare function step<Key extends SingleSchemaKey>(key?: Key): UnstableBuilder<StepComponentSchema<Key>, KindOrKey>;
export declare function tabs<Key extends SingleSchemaKey>(key?: Key): UnstableBuilder<TabsComponentSchema<Key>, KindOrKey>;
export declare function tab<Key extends SingleSchemaKey>(key?: Key): UnstableBuilder<TabComponentSchema<Key>, KindOrKey>;
export declare function row<Key extends SingleSchemaKey>(key?: Key): UnstableBuilder<RowComponentSchema<Key>, KindOrKey>;
