import { AbstractControl } from '@angular/forms';
import { AnyArray, AnyObject } from '@ngify/types';
import { AnyControlSchema } from '../schemas';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class ValueUtil {
    private readonly schemaUtil;
    valueOfModel<M extends AnyObject | AnyArray>(model: M, schema: AnyControlSchema): unknown;
    valueOfControl(control: AbstractControl, schema: AnyControlSchema): unknown;
    static ɵfac: i0.ɵɵFactoryDeclaration<ValueUtil, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ValueUtil>;
}
