import { FormGroup } from '@angular/forms';
import { ButtonComponentSchema } from '../../schemas';
import { Icon } from '../../schemas/interfaces';
import { AbstractWidget, WidgetTemplateContext } from '../abstract.widget';
import * as i0 from "@angular/core";
type ButtonWidgetTemplateContext = WidgetTemplateContext<ButtonComponentSchema, FormGroup>;
/**
 * @internal
 */
export declare class ButtonWidget extends AbstractWidget<ButtonWidgetTemplateContext> {
    protected readonly helper: {
        readonly icon: (icon: ButtonComponentSchema['icon']) => Icon | undefined;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonWidget, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonWidget, "ng-component", never, {}, {}, never, never, true, never>;
}
export {};
