import { FormControl } from '@angular/forms';
import { SafeAny } from '@ngify/types';
import { NzFormNoStatusService } from 'ng-zorro-antd/core/form';
import { CascaderControlSchema } from '../../schemas';
import { AbstractWidget, WidgetTemplateContext } from '../abstract.widget';
import * as i0 from "@angular/core";
type CascaderWidgetTemplateContext = WidgetTemplateContext<CascaderControlSchema, FormControl<SafeAny[]>>;
/**
 * @internal
 */
export declare class CascaderWidget extends AbstractWidget<CascaderWidgetTemplateContext> {
    protected readonly InputGroup: typeof NzFormNoStatusService;
    static ɵfac: i0.ɵɵFactoryDeclaration<CascaderWidget, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CascaderWidget, "ng-component", never, {}, {}, never, never, true, never>;
}
export {};
