import { FormControl } from '@angular/forms';
import { NzFormNoStatusService } from 'ng-zorro-antd/core/form';
import { DateRangePickerControlSchema } from '../../schemas';
import { AbstractWidget, WidgetTemplateContext } from '../abstract.widget';
import * as i0 from "@angular/core";
type DateRangeWidgetTemplateContext = WidgetTemplateContext<DateRangePickerControlSchema, FormControl<[Date, Date]>>;
/**
 * @internal
 */
export declare class DateRangeWidget extends AbstractWidget<DateRangeWidgetTemplateContext> {
    protected readonly InputGroup: typeof NzFormNoStatusService;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateRangeWidget, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateRangeWidget, "ng-component", never, {}, {}, never, never, true, never>;
}
export {};
