import { TemplateRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { NumberGroupComponentSchema, WithOutSchemaReactiveFn } from '../../schemas';
import { AbstractWidget, WidgetTemplateContext } from '../abstract.widget';
import * as i0 from "@angular/core";
type NumberGroupWidgetTemplateContext = WidgetTemplateContext<NumberGroupComponentSchema, FormGroup>;
/**
 * @internal
 */
export declare class NumberGroupWidget extends AbstractWidget<NumberGroupWidgetTemplateContext> {
    protected readonly helper: {
        readonly addon: (addon?: WithOutSchemaReactiveFn<NumberGroupComponentSchema['before']>) => string | TemplateRef<void> | undefined;
        readonly addonIcon: (addon?: WithOutSchemaReactiveFn<NumberGroupComponentSchema['before']>) => string | undefined;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<NumberGroupWidget, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumberGroupWidget, "ng-component", never, {}, {}, never, never, true, never>;
}
export {};
