import { FormControl } from '@angular/forms';
import { AnyObject } from '@ngify/types';
import { NzFormNoStatusService } from 'ng-zorro-antd/core/form';
import { SelectControlSchema } from '../../schemas';
import { AbstractWidget, WidgetTemplateContext } from '../abstract.widget';
import * as i0 from "@angular/core";
type SelectWidgetTemplateContext = WidgetTemplateContext<SelectControlSchema, FormControl>;
/**
 * @internal
 */
export declare class SelectWidget extends AbstractWidget<SelectWidgetTemplateContext> {
    protected readonly InputGroup: typeof NzFormNoStatusService;
    protected readonly infinity: number;
    protected readonly ctxClass: typeof SelectWidgetTemplatePrivateContext;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectWidget, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectWidget, "ng-component", never, {}, {}, never, never, true, never>;
}
export declare class SelectWidgetTemplatePrivateContext {
    private readonly keyword$;
    private readonly cdr;
    open: boolean;
    init(schema: SelectControlSchema, model: AnyObject, control: FormControl): void;
    destroy(): void;
    trigger(keyword: string): void;
}
export {};
