import { FormControl } from '@angular/forms';
import { SafeAny } from '@ngify/types';
import { NzFormNoStatusService } from 'ng-zorro-antd/core/form';
import { TreeSelectControlSchema } from '../../schemas';
import { AbstractWidget, WidgetTemplateContext } from '../abstract.widget';
import * as i0 from "@angular/core";
type TreeSelectWidgetTemplateContext = WidgetTemplateContext<TreeSelectControlSchema, FormControl<SafeAny[]>>;
/**
 * @internal
 */
export declare class TreeSelectWidget extends AbstractWidget<TreeSelectWidgetTemplateContext> {
    protected readonly InputGroup: typeof NzFormNoStatusService;
    protected readonly helper: {
        readonly checkable: (checkable: TreeSelectControlSchema['checkable']) => boolean;
        readonly checkStrictly: (checkable: TreeSelectControlSchema['checkable']) => boolean;
        readonly showExpand: (expandIcon: TreeSelectControlSchema['expandIcon']) => boolean;
        readonly expandedIcon: (expandIcon: TreeSelectControlSchema['expandIcon']) => import("@angular/core").TemplateRef<{
            $implicit: import("ng-zorro-antd/tree").NzTreeNode;
            origin: import("ng-zorro-antd/tree").NzTreeNodeOptions;
        }> | undefined;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeSelectWidget, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreeSelectWidget, "ng-component", never, {}, {}, never, never, true, never>;
}
export {};
