import { OnChanges, OnInit } from '@angular/core';
import { Breakpoints } from '../../../breakpoints';
import { Stringify } from '../../../types';
import * as i0 from "@angular/core";
type Cell = 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12;
type Span = Cell | 'fill' | null;
type Offset = Cell | 'auto' | null;
export declare class FluentColDirective implements OnInit, OnChanges {
    private classes;
    private readonly renderer;
    private readonly elementRef;
    span?: Span | Stringify<Span> | Partial<Record<keyof Breakpoints, Span>>;
    flex?: string | number | null;
    offset?: Offset | Stringify<Offset> | Partial<Record<keyof Breakpoints, Offset>>;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FluentColDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FluentColDirective, "fluent-col,[fluentCol]", ["fluentCol"], { "span": { "alias": "span"; "required": false; }; "flex": { "alias": "flex"; "required": false; }; "offset": { "alias": "offset"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
