import { Type } from '@angular/core';
import { SafeAny } from '@ngify/types';
import * as i0 from "@angular/core";
interface FluentContextContext<T extends Type<SafeAny>> {
    fluentContext: InstanceType<T>;
}
/**
 * @internal
 */
export declare class FluentContextDirective<T extends Type<SafeAny>> {
    private readonly templateRef;
    private readonly viewContainerRef;
    private readonly injector;
    private readonly context;
    set fluentContext(value: T);
    constructor();
    static ngTemplateContextGuard<T extends Type<SafeAny>>(_: FluentContextDirective<T>, ctx: unknown): ctx is FluentContextContext<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FluentContextDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FluentContextDirective<any>, "[fluentContext]", never, { "fluentContext": { "alias": "fluentContext"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
