import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class FluentLifeCycleDirective implements OnInit, OnDestroy {
    fluentInit: EventEmitter<void>;
    fluentDestroy: EventEmitter<void>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FluentLifeCycleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FluentLifeCycleDirective, "[fluentInit],[fluentDestroy]", never, {}, { "fluentInit": "fluentInit"; "fluentDestroy": "fluentDestroy"; }, never, never, true, never>;
}
