import { PipeTransform } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { SafeAny } from '@ngify/types';
import { AbstractSchema, MaybeSchemaReactiveFn } from '../schemas';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class FluentReactivePipe implements PipeTransform {
    private readonly transformer;
    transform<T>(value: MaybeSchemaReactiveFn<SafeAny, T>, model: unknown, schema: AbstractSchema, control: AbstractControl): T | SafeAny;
    static ɵfac: i0.ɵɵFactoryDeclaration<FluentReactivePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<FluentReactivePipe, "reactive", true>;
}
