import { PipeTransform, TemplateRef } from '@angular/core';
import { SafeAny } from '@ngify/types';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class FluentTemplatePipe implements PipeTransform {
    private readonly templateDirectives;
    transform<T>(value: T): T | TemplateRef<SafeAny>;
    transform<T, U>(value: T, defaultValue: U): NonNullable<T> | U | TemplateRef<SafeAny>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FluentTemplatePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<FluentTemplatePipe, "template", true>;
}
