import { AnyObject, SafeAny } from '@ngify/types';
import * as i0 from "@angular/core";
export declare abstract class CodeEvaluator {
    abstract evaluate(code: string, context: AnyObject): SafeAny;
}
export declare function isStaticExpression(str: string): boolean;
/**
 * @internal
 */
export declare class DynamicCodeEvaluator implements CodeEvaluator {
    evaluate(code: string, context: AnyObject): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicCodeEvaluator, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DynamicCodeEvaluator>;
}
