import { InjectionToken, QueryList, Type } from '@angular/core';
import { FluentTemplateDirective } from './directives';
import { SchemaConfig } from './interfaces';
import { AbstractWidget } from './widgets';
export declare const WIDGET_MAP: InjectionToken<Map<string, Type<AbstractWidget<unknown>>>>;
export declare const SCHEMA_MAP: InjectionToken<Map<string, SchemaConfig<any>>>;
export declare const TEMPLATE_DIRECTIVES: InjectionToken<QueryList<FluentTemplateDirective>>;
