import { FormArray, FormGroup } from '@angular/forms';
import { AnyArray, AnyObject } from '@ngify/types';
import { AnySchema } from '../schemas';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class ModelUtil {
    private readonly schemaUtil;
    private readonly valueUtil;
    private readonly formUtil;
    /**
     * 从 model 赋值到 form
     * @param form
     * @param model
     * @param schemas
     * @param completed
     */
    updateForm(form: FormGroup, model: AnyObject, schemas: AnySchema[], completed?: boolean): FormGroup;
    updateForm(form: FormArray, model: AnyArray, schemas: AnySchema[], completed?: boolean): FormArray;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModelUtil, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ModelUtil>;
}
