import { FormGroup } from '@angular/forms';
import { AlertComponentSchema } from '../../schemas';
import { AbstractWidget, WidgetTemplateContext } from '../abstract.widget';
import * as i0 from "@angular/core";
type AlertWidgetTemplateContext = WidgetTemplateContext<AlertComponentSchema, FormGroup>;
/**
 * @internal
 */
export declare class AlertWidget extends AbstractWidget<AlertWidgetTemplateContext> {
    protected readonly helper: {
        readonly icon: (icon: AlertComponentSchema['icon']) => string | null | undefined;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertWidget, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertWidget, "ng-component", never, {}, {}, never, never, true, never>;
}
export {};
