import { TemplateRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { InputGroupComponentSchema, WithOutSchemaReactiveFn } from '../../schemas';
import { AbstractWidget, WidgetTemplateContext } from '../abstract.widget';
import * as i0 from "@angular/core";
type InputGroupWidgetTemplateContext = WidgetTemplateContext<InputGroupComponentSchema, FormGroup>;
/**
 * @internal
 */
export declare class InputGroupWidget extends AbstractWidget<InputGroupWidgetTemplateContext> {
    protected readonly helper: {
        readonly addon: (addon: WithOutSchemaReactiveFn<InputGroupComponentSchema['before']>) => string | TemplateRef<void> | undefined;
        readonly addonIcon: (addon: WithOutSchemaReactiveFn<InputGroupComponentSchema['before']>) => string | undefined;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<InputGroupWidget, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputGroupWidget, "ng-component", never, {}, {}, never, never, true, never>;
}
export {};
