import { FormControl } from '@angular/forms';
import { NzFormNoStatusService } from 'ng-zorro-antd/core/form';
import { NumberInputControlSchema } from '../../schemas';
import { AbstractWidget, WidgetTemplateContext } from '../abstract.widget';
import * as i0 from "@angular/core";
type NumberWidgetTemplateContext = WidgetTemplateContext<NumberInputControlSchema, FormControl<number>>;
/**
 * @internal
 */
export declare class NumberWidget extends AbstractWidget<NumberWidgetTemplateContext> {
    protected readonly InputGroup: typeof NzFormNoStatusService;
    protected readonly infinity: number;
    protected readonly helper: {
        readonly precision: (precision: NumberInputControlSchema['precision']) => number | undefined;
        readonly precisionMode: (precision: NumberInputControlSchema['precision']) => "cut" | "toFixed" | ((value: string | number, precision?: number | undefined) => number);
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<NumberWidget, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumberWidget, "ng-component", never, {}, {}, never, never, true, never>;
}
export {};
